Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 659478 - dev-python/pivy-9999 (qt5)
Summary: dev-python/pivy-9999 (qt5)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Miroslav Šulc
URL: https://github.com/FreeCAD/pivy
Whiteboard:
Keywords: EBUILD
Depends on: 644362
Blocks: 622726
  Show dependency tree
 
Reported: 2018-06-28 12:10 UTC by bug2017
Modified: 2021-01-02 09:12 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-python/pivy-9999.ebuild (pivy-9999.ebuild,456 bytes, text/plain)
2018-06-28 12:10 UTC, bug2017
Details
dev-python/pivy-9999.ebuild (pivy-9999.ebuild,570 bytes, text/plain)
2018-08-02 15:02 UTC, bug2017
Details
pivy-0.6.5.ebuild (pivy-0.6.5.ebuild,902 bytes, text/plain)
2020-03-29 16:34 UTC, Bernd
Details
pivy-0.6.6a_pre0.ebuild (pivy-0.6.6a_pre0.ebuild,633 bytes, text/plain)
2020-10-05 23:55 UTC, Maciej Mrozowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bug2017 2018-06-28 12:10:58 UTC
Created attachment 537526 [details]
dev-python/pivy-9999.ebuild

This is one of the missing dependencies for the qt5 version of freecad. It depends on a new SoQt verision build against qt5.

It works only with the >media-libs/coin-4.0.0a_pre20180416 from tree

Note that bugs #507844 and #631048 are related to the deprected an to be removed qt4 dependent version (maybe close them with wontfix after pivy-1.5 is gone from tree)
Comment 1 bug2017 2018-06-28 12:26:41 UTC
To be tested with SoQt-9999.ebuild from bug #644362 (fails currently because of missing media-libs/coin-9999, but works after changing to media-libs/coin-4.0.0a_pre20180416::gentoo)
Comment 2 bug2017 2018-08-02 15:02:16 UTC
Created attachment 542094 [details]
dev-python/pivy-9999.ebuild

Fix build like https://forum.freecadweb.org/viewtopic.php?t=8097
Comment 3 Andreas Sturmlechner gentoo-dev 2018-11-21 12:48:46 UTC
Unassign unresponsive maintainer.
Comment 4 Bernd 2019-05-29 22:32:56 UTC
I was just looking for bugs on any missing ebuilds still needed for freecad. As I have an ebuild for pivy in my overlay, I can take proxy maintainership for the package.
Comment 5 Bernd 2019-05-29 22:36:09 UTC
Please update the URL for this package. The repo on the freecad space is a freecad internal developing repository. They regulary backport their developments to the actual repository at https://bitbucket.org/Coin3D/pivy
Comment 6 Bernd 2020-03-29 16:34:51 UTC
Created attachment 626992 [details]
pivy-0.6.5.ebuild

I'm going to open a PR with the attached ebuild soon
Comment 7 Bernd 2020-03-29 16:37:24 UTC
BTW the coin repository has moved from bitbucket to github, and as such the pivy repo too. It's now at https://github.com/coin3d/pivy
Comment 8 Maciej Mrozowski gentoo-dev 2020-10-05 23:55:05 UTC
Created attachment 663910 [details]
pivy-0.6.6a_pre0.ebuild

I could appreciate if someone could investigate attached ebuild.
Specifically, why compilation fails when executed via portage:

/var/tmp/portage/dev-python/pivy-0.6.6a_pre0/work/pivy-0.6.6a_pre0_build/pivy/coinPYTHON_wrap.cxx: In function 'PyObject* _wrap_SbString_vsprintf(PyObject*, PyObject*)':
/var/tmp/portage/dev-python/pivy-0.6.6a_pre0/work/pivy-0.6.6a_pre0_build/pivy/coinPYTHON_wrap.cxx:9587:15: error: invalid array assignment

but works when manually compiling (even when invoking cmake with the same params as within portage. I compared .cxx files generated by SWIG and they are somewhat different - as if order of generated code was different or sth, I have no idea whether it has any influence but for sure prevents me from doing reliable comparison.
Comment 9 Maciej Mrozowski gentoo-dev 2020-10-05 23:55:40 UTC
[ 33%] Building CXX object interfaces/CMakeFiles/coin.dir/__/pivy/coinPYTHON_wrap.cxx.o
cd /var/tmp/portage/dev-python/pivy-0.6.6a_pre0/work/pivy-0.6.6a_pre0_build/interfaces && /usr/bin/x86_64-pc-linux-gnu-g++ -Dcoin_EXPORTS -I/usr/include/python3.7m -I/var/tmp/portage/dev-python/pivy-0.6.6a_pre0/work/pivy-0.6.6.a0/interfaces   -march=znver2 -O2 -pipe -ftree-vectorize -fPIC   -o CMakeFiles/coin.dir/__/pivy/coinPYTHON_wrap.cxx.o -c /var/tmp/portage/dev-python/pivy-0.6.6a_pre0/work/pivy-0.6.6a_pre0_build/pivy/coinPYTHON_wrap.cxx
/var/tmp/portage/dev-python/pivy-0.6.6a_pre0/work/pivy-0.6.6a_pre0_build/pivy/coinPYTHON_wrap.cxx: In function 'PyObject* _wrap_SbString_vsprintf(PyObject*, PyObject*)':
/var/tmp/portage/dev-python/pivy-0.6.6a_pre0/work/pivy-0.6.6a_pre0_build/pivy/coinPYTHON_wrap.cxx:9587:15: error: invalid array assignment
 9587 |       arg3 = *temp;
      |               ^~~~
Comment 10 Larry the Git Cow gentoo-dev 2020-12-30 20:35:15 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f3c1e8991bbf3484b1d7fd4df7d84b7899befdd

commit 1f3c1e8991bbf3484b1d7fd4df7d84b7899befdd
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2020-12-30 20:34:05 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2020-12-30 20:35:05 +0000

    dev-python/pivy: new ebuild
    
    Bug: https://bugs.gentoo.org/659478
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-python/pivy/Manifest                         |  1 +
 dev-python/pivy/files/pivy-0.6.4-find-SoQt.patch | 31 ++++++++++++++++++
 dev-python/pivy/metadata.xml                     | 23 +++++++++++++
 dev-python/pivy/pivy-0.6.5.ebuild                | 41 ++++++++++++++++++++++++
 4 files changed, 96 insertions(+)
Comment 11 Miroslav Šulc gentoo-dev 2021-01-02 09:12:43 UTC
we already have for a few days dev-python/pivy-0.6.5 in the tree which is sufficient for all freecad ebuilds in waebbl's overlay afaik. is there still any need for the pre-release of pivy or even for the live ebuild, or we can close this bug as resolved?